# Create Domain (/api-reference/create-domain)

<!-- agent-signals: reading_time_min: 2 · est_tokens: 1269 · updated: 2026-09-06 -->
Related: [List Inboxes](/api-reference/list-inboxes.md), [Create Inbox](/api-reference/create-inbox.md), [Get Inbox](/api-reference/get-inbox.md), [Update Inbox](/api-reference/update-inbox.md), [Delete Inbox](/api-reference/delete-inbox.md), [List Pods](/api-reference/list-pods.md)

# Create Domain

`POST /v0/domains`

Create Domain

## OpenAPI

```json
{
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "title": "CreateDomainRequest",
          "type": "object",
          "properties": {
            "domain": {
              "title": "DomainName",
              "type": "string",
              "description": "The name of the domain. (e.g., \"example.com\")"
            },
            "feedback_enabled": {
              "title": "FeedbackEnabled",
              "type": "boolean",
              "description": "Bounce and complaint notifications are sent to your inboxes."
            }
          },
          "required": [
            "domain",
            "feedback_enabled"
          ]
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "Domain",
            "type": "object",
            "properties": {
              "pod_id": {
                "title": "podsPodId",
                "type": "string",
                "description": "ID of pod."
              },
              "domain_id": {
                "title": "DomainId",
                "type": "string",
                "description": "The name of the domain. (e.g., \" your-domain.com\")"
              },
              "status": {
                "title": "VerificationStatus",
                "type": "string",
                "enum": [
                  "NOT_STARTED",
                  "PENDING",
                  "INVALID",
                  "FAILED",
                  "VERIFYING",
                  "VERIFIED"
                ]
              },
              "feedback_enabled": {
                "title": "FeedbackEnabled",
                "type": "boolean",
                "description": "Bounce and complaint notifications are sent to your inboxes."
              },
              "records": {
                "type": "array",
                "items": {
                  "title": "VerificationRecord",
                  "type": "object",
                  "properties": {
                    "type": {
                      "title": "RecordType",
                      "type": "string",
                      "enum": [
                        "TXT",
                        "CNAME",
                        "MX"
                      ]
                    },
                    "name": {
                      "type": "string",
                      "description": "The name or host of the record."
                    },
                    "value": {
                      "type": "string",
                      "description": "The value of the record."
                    },
                    "status": {
                      "title": "RecordStatus",
                      "type": "string",
                      "enum": [
                        "MISSING",
                        "INVALID",
                        "VALID"
                      ]
                    },
                    "priority": {
                      "type": "integer",
                      "nullable": true,
                      "description": "The priority of the MX record."
                    }
                  },
                  "required": [
                    "type",
                    "name",
                    "value",
                    "status"
                  ]
                },
                "description": "A list of DNS records required to verify the domain."
              },
              "client_id": {
                "title": "ClientId",
                "type": "string",
                "description": "Client ID of domain."
              },
              "updated_at": {
                "type": "string",
                "format": "date-time",
                "description": "Time at which the domain was last updated."
              },
              "created_at": {
                "type": "string",
                "format": "date-time",
                "description": "Time at which the domain was created."
              }
            },
            "required": [
              "domain_id",
              "status",
              "feedback_enabled",
              "records",
              "updated_at",
              "created_at"
            ]
          }
        }
      }
    },
    "400": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ValidationErrorResponse",
            "type": "object",
            "properties": {
              "name": {
                "title": "ErrorName",
                "type": "string",
                "description": "Name of error."
              },
              "errors": {
                "description": "Validation errors."
              }
            },
            "required": [
              "name",
              "errors"
            ]
          }
        }
      }
    }
  }
}
```
